Bug 2124540 (CVE-2021-3574) - CVE-2021-3574 ImageMagick: memory leaks with convert command
Summary: CVE-2021-3574 ImageMagick: memory leaks with convert command
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2021-3574
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2124541 2124542
Blocks: 2124196
TreeView+ depends on / blocked
 
Reported: 2022-09-06 12:59 UTC by TEJ RATHI
Modified: 2022-11-25 05:54 UTC (History)
10 users (show)

Fixed In Version: ImageMagick 7.0.11-8, ImageMagick6 6.9.12-8
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in ImageMagick. Memory leaks are detected when executing a crafted file with the convert command, affecting availability.
Clone Of:
Environment:
Last Closed: 2022-11-25 05:54:55 UTC


Attachments (Terms of Use)

Description TEJ RATHI 2022-09-06 12:59:33 UTC
A vulnerability was found in ImageMagick-7.0.11-5, where executing a crafted file with the convert command, ASAN detects memory leaks.

https://github.com/ImageMagick/ImageMagick6/commit/cd7f9fb7751b0d59d5a74b12d971155caad5a792
https://github.com/ImageMagick/ImageMagick/commit/c6ad94fbb7b280f39c2fbbdc1c140e51b1b466e9
https://github.com/ImageMagick/ImageMagick/issues/3540

Comment 1 TEJ RATHI 2022-09-06 13:00:00 UTC
Created ImageMagick tracking bugs for this issue:

Affects: epel-all [bug 2124541]
Affects: fedora-all [bug 2124542]

Comment 3 Product Security DevOps Team 2022-11-25 05:54:53 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-3574


Note You need to log in before you can comment on or make changes to this bug.